
rm(list = ls())

setwd("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/")
recipe_file <- "recipes/recipe_scorecards_s2s-suite_test.yml"

source("modules/Loading/Loading.R")
source("modules/Skill/Skill.R")
source("modules/Anomalies/Anomalies.R")
source("modules/Saving/Saving.R")
source("modules/Visualization/Visualization.R")
source("tools/prepare_outputs.R")

recipe <- prepare_outputs(recipe_file)

## Load datasets
data <- load_datasets(recipe)

## compute anomalies
anomalies <- compute_anomalies(recipe, data)

## Compute skill metrics of data
skill_metrics <- compute_skill_metrics(recipe, anomalies)

## save data
#save_data(recipe, data, skill_metrics = skill_metrics)

## plot metrics maps
plot_data(recipe, anomalies, skill_metrics, significance = T)